# Package net.sourceforge.pmd.lang.ast

Interface Summary
Interface | Description
--- | ---
CharStream | This interface describes a character stream that maintains line and column number positions of the characters.
Node |
RootNode | This interface can be used to tag the root node of various ASTs.

Class Summary
Class | Description
--- | ---
AbstractNode |
AbstractTokenManager |
JavaCharStream | An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (with java-like unicode escape processing).
SimpleCharStream | An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Exception Summary
Exception | Description
--- | ---
ParseException |
TokenMgrError | Token Manager Error.